# Makefile.in for dtl  -- S Rahtz s.rahtz@elsevier.co.uk
version = 1.0

ac_include ../make/paths.make
ac_include ../make/common.make
ac_include ../make/programs.make

prog_cflags = -DUNIX  -DNeedFunctionPrototypes -DHAVE_CONFIG_H \
	-I$(kpathsea_dir) -I$(kpathsea_srcdir)
# We don't use Kpathsea, so don't overload fopen and stuff
DEFS = -DNO_DEBUG

objects=dv2dt.o dt2dv.o
program = dv2dt dt2dv

programs = $(program)

default: $(programs)
all: $(programs)

dv2dt: dv2dt.o
	$(kpathsea_link) dv2dt.o

dt2dv: dt2dv.o
	$(kpathsea_link) dt2dv.o

install: install-exec install-data

uninstall: uninstall-exec uninstall-data

install-exec: all
	$(SHELL) $(top_srcdir)/../mkinstalldirs $(bindir)
	for p in $(programs); do $(INSTALL_LIBTOOL_PROG) $(bindir) $$p; done
uninstall-exec:
	for p in $(programs); do rm -f $(bindir)/$$p; done

install-data: 
	$(SHELL) $(top_srcdir)/../mkinstalldirs  $(mandir)
	$(INSTALL_DATA) $(srcdir)/dv2dt.man $(mandir)/dv2dt.1
	$(INSTALL_DATA) $(srcdir)/dt2dv.man $(mandir)/dt2dv.1

uninstall-data: 
	rm -f $(mandir)/dv2dt.1
	rm -f $(mandir)/dt2dv.1

ac_include ../make/dist.make
ac_include ../make/config.make

info dvi check:

ac_include ../make/clean.make
ac_include ../make/rdepend.make
ac_include depend.make
